[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.TreeLinePenStyle

Style of the TPen used to draw lines used to connect nodes in the control.

## Declaration

Source position: comctrls.pp line 3790

`public property TCustomTreeView.TreeLinePenStyle : TPenStyle read FTreeLinePenStyle write FTreeLinePenStyle default psPattern;`

## Description

TreeLinePenStyle is a TPenStyle property which contains the pen style used to draw lines connecting the nodes in the tree. TreeLinePenStyle can contain one of the following vales:

- psSolid
- psDash
- psDot
- psDashDot
- psDashDotDot
- psinsideFrame
- psPattern
- psClear

The default value for the property is psPattern.

TreeLinePenStyle is used in the DoPaintNode method to draw the lines which connect the nodes in the tree hierarchy.